/*
 * Copyright (C) 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.health.connect.datatypes;


/** Identifier for the meal type. */

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class MealType {

MealType() { throw new RuntimeException("Stub!"); }

/** Use this for the first meal of the day, usually the morning meal. */

public static final int MEAL_TYPE_BREAKFAST = 1; // 0x1

/** Use this for last meal of the day, usually the evening meal. */

public static final int MEAL_TYPE_DINNER = 3; // 0x3

/** Use this for the noon meal. */

public static final int MEAL_TYPE_LUNCH = 2; // 0x2

/** Any meal outside of the usual three meals per day. */

public static final int MEAL_TYPE_SNACK = 4; // 0x4

public static final int MEAL_TYPE_UNKNOWN = 0; // 0x0
}

